org.jbpm.services.task.impl

## Class TaskIdentityServiceImpl

- java.lang.Object
- - org.jbpm.services.task.impl.TaskIdentityServiceImpl

- All Implemented Interfaces:
    org.kie.internal.task.api.TaskIdentityService

      public class TaskIdentityServiceImpl
      extends Object
      implements org.kie.internal.task.api.TaskIdentityService

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskIdentityServiceImpl()`
    `TaskIdentityServiceImpl(org.kie.internal.task.api.TaskPersistenceContext persistenceContext)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addGroup(org.kie.api.task.model.Group group)`
    `void` | `addUser(org.kie.api.task.model.User user)`
    `org.kie.api.task.model.Group` | `getGroupById(String groupId)`
    `List<org.kie.api.task.model.Group>` | `getGroups()`
    `org.kie.api.task.model.OrganizationalEntity` | `getOrganizationalEntityById(String entityId)`
    `org.kie.api.task.model.User` | `getUserById(String userId)`
    `List<org.kie.api.task.model.User>` | `getUsers()`
    `void` | `removeGroup(String groupId)`
    `void` | `removeUser(String userId)`
    `void` | `setPersistenceContext(org.kie.internal.task.api.TaskPersistenceContext persistenceContext)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskIdentityServiceImpl

          public TaskIdentityServiceImpl()

    - #### TaskIdentityServiceImpl

          public TaskIdentityServiceImpl(org.kie.internal.task.api.TaskPersistenceContext persistenceContext)

  - ### Method Detail

    - #### setPersistenceContext

          public void setPersistenceContext(org.kie.internal.task.api.TaskPersistenceContext persistenceContext)

    - #### addUser

          public void addUser(org.kie.api.task.model.User user)

      Specified by:
        `addUser` in interface `org.kie.internal.task.api.TaskIdentityService`

    - #### addGroup

          public void addGroup(org.kie.api.task.model.Group group)

      Specified by:
        `addGroup` in interface `org.kie.internal.task.api.TaskIdentityService`

    - #### removeGroup

          public void removeGroup(String groupId)

      Specified by:
        `removeGroup` in interface `org.kie.internal.task.api.TaskIdentityService`

    - #### removeUser

          public void removeUser(String userId)

      Specified by:
        `removeUser` in interface `org.kie.internal.task.api.TaskIdentityService`

    - #### getUsers

          public List<org.kie.api.task.model.User> getUsers()

      Specified by:
        `getUsers` in interface `org.kie.internal.task.api.TaskIdentityService`

    - #### getGroups

          public List<org.kie.api.task.model.Group> getGroups()

      Specified by:
        `getGroups` in interface `org.kie.internal.task.api.TaskIdentityService`

    - #### getUserById

          public org.kie.api.task.model.User getUserById(String userId)

      Specified by:
        `getUserById` in interface `org.kie.internal.task.api.TaskIdentityService`

    - #### getGroupById

          public org.kie.api.task.model.Group getGroupById(String groupId)

      Specified by:
        `getGroupById` in interface `org.kie.internal.task.api.TaskIdentityService`

    - #### getOrganizationalEntityById

          public org.kie.api.task.model.OrganizationalEntity getOrganizationalEntityById(String entityId)

      Specified by:
        `getOrganizationalEntityById` in interface `org.kie.internal.task.api.TaskIdentityService`

Copyright © 2001–2018 JBoss by Red Hat. All rights reserved.